import { clear, successLog } from "./console.js";
import { copyProjectFiles, getPackageJson, getSelectedType, installPackage } from "./util.js";

export async function create(projectName){
  clear()
  const type = await getSelectedType(projectName);
  await copyProjectFiles(projectName);
  const packageJson =  getPackageJson(projectName);
  await installPackage(projectName);
  successLog(projectName);
}